LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
theBrowseNodeFactory Singleton Reference

The one and only BrowseNodeFactory. More...

`import"theBrowseNodeFactory.idl";`

Inheritance diagram for theBrowseNodeFactory:

## Additional Inherited Members
Public Member Functions inherited from XBrowseNodeFactory
com::sun::star::script::browse::XBrowseNode | createView ([in] short viewType)
| a factory method for the creation of XBrowseNodes ( view ) com::sun::star::script::browse::BrowseNodeFactoryViewTypes specifies the type of view to be returned More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The one and only BrowseNodeFactory.

To get the singleton call getValueByName on the component context

    /singletons/com.sun.star.script.theBrowseNodeFactory

Since
  OOo 2.0

The documentation for this singleton was generated from the following file:

- com/sun/star/script/browse/theBrowseNodeFactory.idl